OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockMonitor

    java.lang.Object
      org.opennms.netmgt.mock.MockMonitor

All Implemented Interfaces:
  ServiceMonitor

public class MockMonitor
extends java.lang.Object
implements ServiceMonitor

Field Summary
`private MockNetwork` `m_network`
`private java.lang.String` `m_svcName`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`MockMonitor(MockNetwork network, java.lang.String svcName)`

Method Summary
`void` `initialize(NetworkInterface iface)` This method is called whenever a new interface that supports the plug-in service is added to the scheduling system.
`void` `initialize(PollerConfig config, java.util.Map parameters)` This method is called after the framework creates an instance of the plug-in.
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` This method is the heart of the plug-in monitor.
`void` `release()` This method is called whenever the plug-in is being unloaded, normally during framework exit.
`void` `release(NetworkInterface iface)` This method is the called whenever an interface is being removed from the scheduler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_network

    private MockNetwork m_network

### m_svcName

    private java.lang.String m_svcName

Constructor Detail

### MockMonitor

    public MockMonitor(MockNetwork network,
                       java.lang.String svcName)

Parameters:
  `network` -
  `svcName` -

Method Detail

### initialize

    public void initialize(NetworkInterface iface)

  Description copied from interface: `ServiceMonitor`

  This method is called whenever a new interface that supports the plug-in service is added to the scheduling system. The plug-in has the option to load and/or associate configuration information with the interface before the framework begins scheduling the new device.

  Should a monitor exception be thrown during an initialization call then the framework will log an error and discard the interface from scheduling.

  Specified by:
    `initialize` in interface `ServiceMonitor`
  Parameters:
    `iface` - The network interface to be added to the scheduler.

### initialize

    public void initialize(PollerConfig config,
                           java.util.Map parameters)

  Description copied from interface: `ServiceMonitor`

  This method is called after the framework creates an instance of the plug-in. The framework passes the object a proxy object that can be used to retreive configuration information specific to the plug-in. Additionally, any parameters for the plug-in from the package definition are passed using the parameters element.

  If there is a critical error, like missing service libraries, the the montior may throw a ServiceMonitorException. If the plug-in throws an exception then the plug-in will be disabled in the framework.

  Specified by:
    `initialize` in interface `ServiceMonitor`
  Parameters:
    `parameters` - Not currently used

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Description copied from interface: `ServiceMonitor`

  This method is the heart of the plug-in monitor. Each time an interface requires a check to be performed as defined by the scheduler the poll method is invoked. The poll is passed the interface to check

  By default when the status transition from up to down or vice versa the framework will generate an event. Additionally, if the polling interval changes due to an extended unavailbility, the framework will generate an additional down event. The plug-in can surpress the generation of the default events by setting the surpress event bit in the returned integer.

  Specified by:
    `poll` in interface `ServiceMonitor`
  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
  Returns:
    The availibility of the interface and if a transition event should be surpressed.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

### release

    public void release()

  Description copied from interface: `ServiceMonitor`

  This method is called whenever the plug-in is being unloaded, normally during framework exit. During this time the framework may release any resource and save any state information using the proxy object from the initialization routine.

  Even if the plug-in throws a monitor exception, it will not prevent the plug-in from being unloaded. The plug-in should not return until all of its state information is saved. Once the plug-in returns from this call its configuration proxy object is considered invalid.

  Specified by:
    `release` in interface `ServiceMonitor`

### release

    public void release(NetworkInterface iface)

  Description copied from interface: `ServiceMonitor`

  This method is the called whenever an interface is being removed from the scheduler. For example, if a service is determined as being no longer supported then this method will be invoked to cleanup any information associated with this device. This gives the implementor of the interface the ability to serialize any data prior to the interface being discarded.

  If an exception is thrown during the release the exception will be logged, but the interface will still be discarded for garbage collection.

  Specified by:
    `release` in interface `ServiceMonitor`
  Parameters:
    `iface` - The network interface that was being monitored.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.